#!/usr/bin/env bash

# INSTALL PHP
echo "\n" | sudo apt-add-repository ppa:ondrej/php
sudo apt-get update
sudo apt-get install -y php7.1 php7.1-fpm php7.1-cli php7.1-common php7.1-mbstring php7.1-gd php7.1-intl php7.1-xml php7.1-mysql php7.1-mcrypt php7.1-zip php7.1-sqlite3
sudo apt-get install -y libapache2-mod-php7.1

# INSTALL APACHE
sudo apt-get install apache2 -y
sudo cp /vagrant/apache2.conf /etc/apache2/apache2.conf
sudo a2enmod rewrite
sudo service apache2 restart

# INSTALL MARIADB
export DEBIAN_FRONTEND=noninteractive
sudo apt-get install -y mariadb-server
sudo mysql < /vagrant/setup.sql

