#!/usr/bin/env bash

## INSTALL COMPOSER AND LARAVEL
sudo php -r "copy('https://getcomposer.org/installer', 'composer-setup.php');"
sudo php -r "if (hash_file('SHA384', 'composer-setup.php') === '544e09ee996cdf60ece3804abc52599c22b1f40f4323403c44d44fdfdd586475ca9813a858088ffbc1f233e9b180f061') { echo 'Installer verified'; } else { echo 'Installer corrupt'; unlink('composer-setup.php'); } echo PHP_EOL;"
sudo php composer-setup.php
sudo php -r "unlink('composer-setup.php');"
sudo mv composer.phar /usr/local/bin/composer
sudo composer global require "laravel/installer"

## MANUALLY: in order to use 'laravel' in command line without path:
#export PATH="$PATH:~/.composer/vendor/bin"

## Create html directory as laravel project:
cd /var/www
sudo rm -rf html
sudo ~/.composer/vendor/bin/laravel new html
sudo mv /vagrant/000-default.conf /etc/apache2/sites-available/000-default.conf
sudo service apache2 restart

## INSTALL PHPMYADMIN
#export DEBIAN_FRONTEND=noninteractive
#sudo apt-get -yq install phpmyadmin
#sudo phpenmod mcrypt
#sudo phpenmod mbstring 
